org.apache.solr.security

## Enum PermissionNameProvider.Name

- java.lang.Object
- - java.lang.Enum<PermissionNameProvider.Name>
  - - org.apache.solr.security.PermissionNameProvider.Name

- All Implemented Interfaces:
    Serializable, Comparable<PermissionNameProvider.Name>
  Enclosing interface:
    PermissionNameProvider

      public static enum PermissionNameProvider.Name
      extends Enum<PermissionNameProvider.Name>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `COLL_EDIT_PERM`
    `COLL_READ_PERM`
    `CONFIG_EDIT_PERM`
    `CONFIG_READ_PERM`
    `CORE_EDIT_PERM`
    `CORE_READ_PERM`
    `READ_PERM`
    `SCHEMA_EDIT_PERM`
    `SCHEMA_READ_PERM`
    `SECURITY_EDIT_PERM`
    `SECURITY_READ_PERM`
    `UPDATE_PERM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PermissionNameProvider.Name` | `get(String s)`
    `String` | `getPermissionName()`
    `static PermissionNameProvider.Name` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PermissionNameProvider.Name[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLL_EDIT_PERM

          public static final PermissionNameProvider.Name COLL_EDIT_PERM

    - #### COLL_READ_PERM

          public static final PermissionNameProvider.Name COLL_READ_PERM

    - #### CORE_READ_PERM

          public static final PermissionNameProvider.Name CORE_READ_PERM

    - #### CORE_EDIT_PERM

          public static final PermissionNameProvider.Name CORE_EDIT_PERM

    - #### READ_PERM

          public static final PermissionNameProvider.Name READ_PERM

    - #### UPDATE_PERM

          public static final PermissionNameProvider.Name UPDATE_PERM

    - #### CONFIG_EDIT_PERM

          public static final PermissionNameProvider.Name CONFIG_EDIT_PERM

    - #### CONFIG_READ_PERM

          public static final PermissionNameProvider.Name CONFIG_READ_PERM

    - #### SCHEMA_READ_PERM

          public static final PermissionNameProvider.Name SCHEMA_READ_PERM

    - #### SCHEMA_EDIT_PERM

          public static final PermissionNameProvider.Name SCHEMA_EDIT_PERM

    - #### SECURITY_EDIT_PERM

          public static final PermissionNameProvider.Name SECURITY_EDIT_PERM

    - #### SECURITY_READ_PERM

          public static final PermissionNameProvider.Name SECURITY_READ_PERM

    - #### ALL

          public static final PermissionNameProvider.Name ALL

  - ### Method Detail

    - #### values

          public static PermissionNameProvider.Name[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermissionNameProvider.Name c : PermissionNameProvider.Name.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermissionNameProvider.Name valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static PermissionNameProvider.Name get(String s)

    - #### getPermissionName

          public String getPermissionName()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.